$ ! INET make.com - builds CMUTEK/INET socket equivalents
$ !************************************************************************
$ !Copyright notice:
$ !
$ !(1) Distribute, copy or modify as you like, freely or for profit.
$ !(2) Do not restrict anyone else from doing the same.
$ !(3) Retain this copyright on all copies
$ !(4) No warranties expressed or implied.
$ !
$ !Dr. Bithead software
$ !
$ !May this be used to the Glory of God
$ !************************************************************************
$ !
$ ! assumptions:
$ !   - we are in [.INET] and INET_CMUTIL.OBJ and .H'S are here
$ !   - SYS$LIBRARY:NETERROR.OBJ exists
$ !
$ thisproc="INET_CMUTIL"
$ gosub kitinit
$ !
$ gosub 'p1'
$ exit 1
$ !
$build:
$deflibrary:
$library:
$ if f$extract(0,3,f$getsyi("version")) .nes. "V4." then $ goto endlibrary
$ !
$ tlblog="c$library"
$ defi/process 'tlblog' inetdir:inetvaxc.tlb
$ !
$ if p1 .eqs. "DEFLIBRARY" then $ return
$ !
$ if f$search(tlblog) .eqs. "" then libr/crea/text/log 'tlblog'
$ libr/repl/log/text 'tlblog' *.h_vmsv4
$ !
$endlibrary:
$ if p1 .eqs. "LIBRARY" then $ return
$ if p1 .eqs. "DEFLIBRARY" then $ return
$ !
$ defi/user vaxc$include inetdir
$ cc/stand=port inet_cmutil,socktest
$ !
$link:
$ link socktest,inet_cmutil,sys$library:neterror,sys$input:/opt
sys$share:vaxcrtl/share
$ !
$ return
$ !
$test:
$ socktest:==$inetdir:socktest
$ spaw/now/noti/inp=slave.inp/out=slave.out socktest 127.0.0.1
$ spaw/now/noti/inp=master.inp/out=master.out socktest 127.0.0.1
$ purgeeee/log master.out,slave.out
$ wait 0:0:5
$ typeee/nopa slav%.out,master.out
$ !
$ return
$ !
$kit:
$saveset:
$ back/ver inetdir:*.%%%_V%; vmsobjexe.bck/sa/block=2048
$ back/ver inetdir:000readme.000;,*.c;,*.h;,*.hcmu;,*.h_vmsv4;,*.com;-
		,*.inp;,vmsobjexe.bck;-
		[-]inet_cmutil.bck/sa/block=2048
$ !
$ if p1 .nes. "KIT" then $ return
$ !
$tarfile:
$ if f$trnlnm("sys$node") .nes. "CUSPIF::" then -
$ if f$trnlnm("sys$node") .nes. "CUKOO1::" then -
$return
$ if f$trnlnm("sys$node") .eqs. "CUSPIF::" then -
	$ set command disk:[carcich.netware.eunuchs.tar.tar10]tar
$ if f$trnlnm("sys$node") .eqs. "CUKOO1::" then -
	$ set command scr:[keep.system.tar]tar
$ tar write /arch=[-]inet_cmutil.tar  /map=root inetdir:*.c
$ tar append /arch=[-]inet_cmutil.tar /map=root inetdir:*.h
$ tar append /arch=[-]inet_cmutil.tar /map=root inetdir:*.h_vmsv4
$ tar append /arch=[-]inet_cmutil.tar /map=root inetdir:*.hcmu
$ tar append /arch=[-]inet_cmutil.tar /map=root inetdir:*.com
$ tar append /arch=[-]inet_cmutil.tar /map=root inetdir:*.inp
$ return
$ !
$ ! define relevant directories
$kitinit:
$ olddef=f$environment("procedure")
$ newdev=f$parse(olddef,,,"device")
$ newdir=f$parse(olddef,,,"directory") - ".''thisproc']"
$ newdir=newdir - "[''thisproc']"
$ newdir=newdir - "000000."
$ newdir=newdir - "000000."
$ newdir=newdir - "000000."
$ newdir=newdir - "000000."
$ newdir=newdir - "000000."
$ newdir=newdir - "000000."
$ newdir=newdir - "[000000"
$ newdef = newdev + newdir
$ if f$trnlnm(newdev,,,,,"concealed") then -
	$ newdef=f$trnlnm(newdev) + newdir - ".][" - ".]"
$ newdef= newdef - "]" + ".]"
$ defi/tran=conc/nolog newdef 'newdef'
$ defi/nolog inetdir newdef:[inet_cmutil]
$ defi/nolog inetcddir newdef:[inetcd]
$ defi/nolog cdiodir newdef:[cdio]
$ return
